Bug 1050949 - Packagekit fails to install foo2zjs for Konica Minolta 2430
Summary: Packagekit fails to install foo2zjs for Konica Minolta 2430
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: printer-filters
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 970393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 12:16 UTC by Jakub Steiner
Modified: 2014-11-11 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-11 19:21:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Steiner 2014-01-09 12:16:46 UTC
Description of problem:

The new printer setup in GNOME3 worked flawlessly for my Samsung printer, packagekit installing the necessary PPD/filters. However for my second printer, Konica Minolta 2430, it did not install foo2zjs and made it a generic text printer that fails to print anything. Installing the package manually and restarting cups service fixes it.

Version-Release number of selected component (if applicable):

cups-1.7.0.9.fc20
foo2zjs-0.20130618-1.fc20
PackageKit-0.8.13.1.fc20

How reproducible:
always

Steps to Reproduce:
1. Add a printer in the GNOME settings
2. Watch PackageKit open up a dialog for a split second going 0-100% progressbar
3. Watch the printer set up as generic-text

Actual results:
printer does not print

Comment 1 Jiri Popelka 2014-01-09 13:23:02 UTC
Thanks Jakub,

this needs to be changed in foo2zjs, problem is that foo2zjs is not part of Fedora, but rpmfusion.

Once we get foo2zjs into Fedora (bug #970393) we can fix it there.

We also need to be sure we have the correct IEEE1284 device ID, so can you show me output of 'sudo lpinfo -l -v' once the printer is turned on ?

Comment 2 Jakub Steiner 2014-11-11 19:21:19 UTC
Closing as I no longer have access to the HW.


Note You need to log in before you can comment on or make changes to this bug.